@import '../basic-select.scss';

.multi-select {
    @include basic-select;

    width: 100%;

    .wrapper {
        box-sizing: border-box;
        width: 100%;

        .sub-wrapper {
            box-sizing: border-box;
            position: relative;
            display: flex;
            width: calc(100% - #{$space} * 4 - 1.2em);

            label {
                position: absolute;
                display: block;
                height: 100%;
                width: 100%;
            }

            input {
                @include padding(2, 2);
            }
        }

        .options {
            @include padding(2, 0);

            max-height: calc(4 * ((#{$line-height} * 1rem) + (#{$space} * 4)));
            overflow-y: auto;

            .option {
                @include padding(2, 3);

                box-sizing: border-box;
                border-top: 1px solid white;
                border-bottom: 1px solid white;
            }
        }
    }
}
